package com.securitycontrol.inter.vo;

import javafx.application.Application;
import javafx.stage.Stage;
import lombok.Data;
import org.apache.ibatis.annotations.Param;

/**
 * 返回值设备
 * @author 黑子
 */
@Data
public class DevResultVo {

    private String reason;

    private  String deviceId;

     private String status;

     public  DevResultVo(){
     }

    public DevResultVo(String reason, String deviceId, String status) {
        this.reason = reason;
        this.deviceId = deviceId;
        this.status = status;
    }

    public static DevResultVo success(String deviceId,String reason){
        return new DevResultVo(reason,deviceId,"1");
    }
    public static   DevResultVo error(String deviceId,String reason){
        return new DevResultVo(reason,deviceId,"0");
    }

}
